<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_OperationSchedule StructType
 * @subpackage Structs
 */
class JP_OperationSchedule extends AbstractStructBase
{
    /**
     * The OperationTimes
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_OperationTime
     */
    public $OperationTimes;
    /**
     * Constructor method for JP_OperationSchedule
     * @uses JP_OperationSchedule::setOperationTimes()
     * @param \ArrayType\ArrayOfJP_OperationTime $operationTimes
     */
    public function __construct(\ArrayType\ArrayOfJP_OperationTime $operationTimes = null)
    {
        $this
            ->setOperationTimes($operationTimes);
    }
    /**
     * Get OperationTimes value
     * @return \ArrayType\ArrayOfJP_OperationTime|null
     */
    public function getOperationTimes()
    {
        return $this->OperationTimes;
    }
    /**
     * Set OperationTimes value
     * @param \ArrayType\ArrayOfJP_OperationTime $operationTimes
     * @return \StructType\JP_OperationSchedule
     */
    public function setOperationTimes(\ArrayType\ArrayOfJP_OperationTime $operationTimes = null)
    {
        $this->OperationTimes = $operationTimes;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_OperationSchedule
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
